from typing import Optional
from pydantic import BaseModel


class DomainViaUser(BaseModel):
    user_uu_id: str
    main_domain: str
    other_domains_list: Optional[list] = None


class PasswordHistoryViaUser(BaseModel):
    user_uu_id: str
    password_add: dict
    access_history_detail: Optional[dict]


class AccessHistoryViaUser(BaseModel):
    user_uu_id: str
    access_history: dict
